﻿using System.Drawing;
using System.IO;
using System.Windows.Media.Imaging;

namespace QRCodeReader.Common
{
    public static class ExtensionMethods
    {
        public static Bitmap ToBitmap(this BitmapSource bitmapsource)
        {
            Bitmap bitmap;
            using (var stream = new MemoryStream())
            {
                var enc = new PngBitmapEncoder();
                enc.Frames.Add(BitmapFrame.Create(bitmapsource));
                enc.Save(stream);
                bitmap = new System.Drawing.Bitmap(stream);
            }
            return bitmap;
        }
    }
}